2018-06-25 02:54 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001920FSSCPlauncherpublic2010-05-25 19:26
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version 
Summary0001920: Deselecting a mod and changing exes re-enables the mod
DescriptionSeen this several times now and about 3 times today. When switching between mods and builds it works if you select the exe firs then hit no mod but if you hit no mod then select a different exe the mod re-enables.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010848

karajorma (administrator)

What happens if you click apply in-between doing that?

~0010849

FUBAR-BDHR (developer)

Works just fine. Of course remembering to do that is just like trying to remember to do select the build first then deselect the mod.

~0010861

Goober5000 (administrator)

I'll fix this as part of my giant launcher fixage.

~0010862

FUBAR-BDHR (developer)

Thought there was a new one coming that's the only reason I finally got around to reporting it.

~0011716

taylor (administrator)

The issue was with how the ini file was written. It would end up saving multiple lines of game_flags, one with the mod set and one or more without it. When it get read back in it simple took the one line that was actually set and skipped the others. I changed the iniparser code handle both reads and writes now and that has fixed it properly.

This is fixed locally and I'll resolve once I figure out where/how to commit the fixes.

~0012005

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2009-04-28 00:54 FUBAR-BDHR New Issue
2009-04-28 07:11 karajorma Note Added: 0010848
2009-04-28 14:09 FUBAR-BDHR Note Added: 0010849
2009-04-30 20:02 Goober5000 Status new => assigned
2009-04-30 20:02 Goober5000 Assigned To => Goober5000
2009-04-30 20:02 Goober5000 Note Added: 0010861
2009-04-30 20:14 FUBAR-BDHR Note Added: 0010862
2010-02-27 05:12 taylor Note Added: 0011716
2010-02-27 05:13 taylor Assigned To Goober5000 => taylor
2010-05-25 19:26 taylor Note Added: 0012005
2010-05-25 19:26 taylor Status assigned => resolved
2010-05-25 19:26 taylor Resolution open => fixed
+Issue History